org.apache.http.osgi.services

## Interface ProxyConfiguration

- All Known Implementing Classes:
    OSGiProxyConfiguration

      public interface ProxyConfiguration

  Since:
    4.3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHostname()`
    `String` | `getPassword()`
    `int` | `getPort()`
    `String[]` | `getProxyExceptions()`
    `String` | `getUsername()`
    `boolean` | `isEnabled()`

- - ### Method Detail

    - #### isEnabled

          boolean isEnabled()

    - #### getHostname

          String getHostname()

    - #### getPort

          int getPort()

    - #### getUsername

          String getUsername()

    - #### getPassword

          String getPassword()

    - #### getProxyExceptions

          String[] getProxyExceptions()

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.